<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8" />
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no" />
        <meta name="description" content="" />
        <meta name="author" content="" />
        <title>Tradespace - Transfer</title>
        <!-- Favicon-->
        <link rel="icon" type="image/x-icon" href="assets/favicon.ico" />
        <!-- Core theme CSS -->
        <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.3.0/css/all.min.css" integrity="sha512-SzlrxWUlpfuzQ+pcUCosxcglQRNAq/DZjVsC0lE40xsADsfeQoEypE+enwcOiGjk/bSuGGKHEyjSoQ1zVisanQ==" crossorigin="anonymous" referrerpolicy="no-referrer" />
        <link href="/css/sidebar.css" rel="stylesheet" />
    </head>
    <body>
        <div class="d-flex" id="wrapper">
            <!-- Sidebar-->
            <div class="border-end bg-white" id="sidebar-wrapper">
                <div class="list-group list-group-flush">
                    <a class="list-group-item list-group-item-action list-group-item-light p-3" href="./profile.html">Profile</a>
                    <a class="list-group-item list-group-item-action list-group-item-light p-3" href="./accounts.html">Accounts</a>
                    <a class="list-group-item list-group-item-action list-group-item-light p-3 active" href="./transfer.html">Transfer</a>
                    <a class="list-group-item list-group-item-action list-group-item-light p-3" href="./transactions.html">Transactions</a>
                    <div class="p-3 h6" style="font-size: 0.8rem">Tradespace &copy; 2023</div>
                </div>
            </div>
            <!-- Page content wrapper-->
            <div id="page-content-wrapper">
                <!-- Top navigation-->
                <nav class="navbar navbar-expand-lg navbar-light bg-light border-bottom">
                    <div class="container-fluid">
                        <a class="navbar-brand fw-500" href="#">Tradespace - A Global Money Platform</a>
                        <button class="btn btn-primary" id="sidebarToggle">Hide Menu</button>
                    </div>
                </nav>
                <!-- Page content-->
                <div class="container mt-5">

                    <div id="curRate">
                        <div class="row justify-content-center">
                            <div class="col-md-2">
                                <div class="float-end text-end">
                                    <h4>Exchange Rate</h4>
                                </div>
                            </div>
                            <div class="col-md-9 border-start border-secondary">
                                <div class="pb-2">
                                    <div class="row mb-3 g-2">
                                        <div class="col-3">
                                            <label class="form-label">From</label>
                                            <select id="fxFromCurrency" class="form-select" autocomplete="on">
                                                <option selected disabled value="null">Choose...</option>
                                            </select>
                                        </div>
                                        <div class="col-3">
                                            <label class="form-label">To</label>
                                            <select id="fxToCurrency" class="form-select" autocomplete="on">
                                                <option selected disabled value="null">Choose...</option>
                                            </select>
                                        </div>
                                        <div class="col-3">
                                            <label class="form-label">Rate</label>
                                            <input type="text" id="fxRate" class="form-control" value="0.0000" disabled>
                                            <div class="form-text">Powered by ExchangeRate-API</div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div id="transferProfile">
                        <div class="row justify-content-center">
                            <div class="col-md-2">
                                <div class="float-end text-end">
                                    <h4>Your Profile</h4>
                                </div>
                            </div>
                            <div class="col-md-9 border-start border-secondary">
                                <div class="pb-4">
                                    <div class="row mb-3 g-2">
                                        <div class="col-5">
                                            <label class="form-label">Display Name</label>
                                            <input type="text" id="displayName" class="form-control" value="MR JOHN DOE SMITH" disabled>
                                        </div>
                                        <div class="col-4">
                                            <label class="form-label">Display Email Address</label>
                                            <input type="text" id="displayEmail" class="form-control" value="example@tradespace.com" disabled>
                                        </div>
                                        <span style="font-size: 12px" class="form-text">This is displayed to the recipient. Edit this by going to the Profile tab.</span>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div id="">
                        <div class="row justify-content-center">
                            <div class="col-md-2">
                                <div class="float-end text-end">
                                    <h4>Send Money</h4>
                                </div>
                            </div>
                            <div class="col-md-9 border-start border-secondary">
                                <div class="row mb-3 g-2">
                                    <div class="col-6">
                                        
                                        <label class="form-label">Recipient</label>
                                        <div class="input-group">
                                            <select id="recipList" class="form-select" required>
                                                <option value="null" selected disabled>Choose...</option>
                                            </select>
                                            <button id="recipEditBtn" type="button" class="btn btn-outline-primary" data-bs-toggle="modal" data-bs-target="#recipEditModal">Edit</button>
                                            <button id="recipAddBtn" type="button" class="btn btn-outline-secondary" data-bs-toggle="modal" data-bs-target="#recipAddModal">Add</button>
                                        </div>
                                    </div>
                                    <div class="col-5">
                                        <label class="form-label">From My Account</label>
                                        <select id="originAccounts" class="form-select" required>
                                            <option value="null" selected disabled>Choose...</option>
                                        </select>
                                    </div>
                                </div>
                                <div class="row mb-3 g-2">
                                    <div class="col-3">
                                        <label class="form-label">Amount</label>
                                        <input type="text" id="transferAmount" class="form-control" value="" placeholder="0.00" required>
                                        <span class="form-text">Amount in Destination Currency</span>
                                    </div>
                                    <div class="col-5">
                                        <label class="form-label">Security Answer</label>
                                        <div class="input-group">
                                            <input type="password" id="transferSecret" class="form-control" value="" placeholder="Passphrase" required minlength="3" maxlength="255">
                                            <div class="input-group-text">
                                                <a id="toggleTransferSecret">
                                                    <i class="fa-solid fa-eye"></i>
                                                </a>
                                            </div>
                                        </div>
                                        <span class="form-text">The recipient must answer correctly to deposit.</span>
                                    </div>
                                </div>
                                <div class="row mb-3 g-2">
                                    <div class="col-3">
                                        <label class="form-label">Exchange Rate</label>
                                        <input type="text" class="form-control" id="transferRate" value="" placeholder="0.0000" disabled>
                                        <span class="form-text">Rates are updated every 24 hours.</span>
                                    </div>
                                    <div class="col-4">
                                        <label class="form-label">Estimated Origin Amount</label>
                                        <input type="text" class="form-control" id="transferEstOrigin" value="" placeholder="0.00" disabled>
                                        <span class="form-text">The amount in your account's currency.</span>
                                    </div>
                                </div>
                                <div class="row mb-3 g-2">
                                    <div class="col-6">
                                        <label class="form-label">Memo</label>
                                        <textarea id="transferMemo" class="form-control" value="" placeholder="Optional, send a message"></textarea>
                                        <span class="form-text">Do not share sensitive information in this field.</span>
                                    </div>
                                </div>
                                <div class="row mb-3">
                                    <div class="col">
                                        <a id="transferSendBtn" class="btn btn-primary">Send Transfer</a>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                </div>
            </div>
        </div>

        <!-- Modals -->
        <div class="modal fade" id="recipEditModal" tabindex="-1" aria-labelledby="recipEditLabel" aria-hidden="true" data-bs-backdrop="static" data-bs-keyboard="false">
            <div class="modal-dialog modal-lg">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="recipEditLabel">Edit Recipient</h5>
                    </div>
                    <div class="modal-body">
                        <div class="container">
                            <div class="row">
                                <div class="col">
                                    <div action="">
                                        <div class="row g-2">
                                            <div class="col-1">
                                                <label class="form-label">Title</label>
                                                <input id="recipEdit_suffix" type="text" class="form-control" value="" placeholder="MR" disabled>
                                            </div>
                                            <div class="col-4">
                                                <label class="form-label">First Name</label>
                                                <input id="recipEdit_first" type="text" class="form-control" value="" placeholder="JOHN" disabled>
                                            </div>
                                            <div class="col-3">
                                                <label class="form-label">Middle Name</label>
                                                <input id="recipEdit_middle" type="text" class="form-control" value="" placeholder="DOE" disabled>
                                            </div>
                                            <div class="col-4">
                                                <label class="form-label">Last Name</label>
                                                <input id="recipEdit_last" type="text" class="form-control" value="" placeholder="SMITH" disabled>
                                            </div>
                                        </div>
                                        <div class="row g-2 mt-2">
                                            <div class="col-4">
                                                <label class="form-label">Tradespace Depositing Account</label>
                                                <input id="recipEdit_account" type="text" class="form-control" value="" placeholder="320021 12345678901" required>
                                            </div>
                                            <div class="col-3">
                                                <label class="form-label">Currency</label>
                                                <select type="text" class="form-select" id="recipEdit_currency" autocomplete="on" disabled>
                                                    <option value="null" selected disabled>Choose...</option>
                                                </select>
                                            </div>
                                            <div class="col-5">
                                                <label class="form-label">Tradespace Email Address</label>
                                                <input id="recipEdit_email" type="text" class="form-control" value="" placeholder="example@tradespace.com" required>
                                            </div>
                                        </div>
                                        <div class="row g-2">
                                            <h5 class="mt-4">Recipient Identification</h5>
                                            <div class="form-text">Where required by the recipient's country requirements</div>
                                            <div class="col">
                                                <div class="input-group">
                                                    <span class="input-group-text">Issuing Country</span>
                                                    <select id="recipEdit_identity_country" class="form-select" autocomplete="on">
                                                        <option value="null" selected disabled>Choose...</option>
                                                        <option value="AFG">Afghanistan</option>
                                                        <option value="ALA">Aland Islands</option>
                                                        <option value="ALB">Albania</option>
                                                        <option value="DZA">Algeria</option>
                                                        <option value="ASM">American Samoa</option>
                                                        <option value="AND">Andorra</option>
                                                        <option value="AGO">Angola</option>
                                                        <option value="AIA">Anguilla</option>
                                                        <option value="ATA">Antarctica</option>
                                                        <option value="ATG">Antigua and Barbuda</option>
                                                        <option value="ARG">Argentina</option>
                                                        <option value="ARM">Armenia</option>
                                                        <option value="ABW">Aruba</option>
                                                        <option value="AUS">Australia</option>
                                                        <option value="AUT">Austria</option>
                                                        <option value="AZE">Azerbaijan</option>
                                                        <option value="BHS">Bahamas</option>
                                                        <option value="BHR">Bahrain</option>
                                                        <option value="BGD">Bangladesh</option>
                                                        <option value="BRB">Barbados</option>
                                                        <option value="BLR">Belarus</option>
                                                        <option value="BEL">Belgium</option>
                                                        <option value="BLZ">Belize</option>
                                                        <option value="BEN">Benin</option>
                                                        <option value="BMU">Bermuda</option>
                                                        <option value="BTN">Bhutan</option>
                                                        <option value="BOL">Bolivia</option>
                                                        <option value="BES">Bonaire, Sint Eustatius and Saba</option>
                                                        <option value="BIH">Bosnia and Herzegovina</option>
                                                        <option value="BWA">Botswana</option>
                                                        <option value="BVT">Bouvet Island</option>
                                                        <option value="BRA">Brazil</option>
                                                        <option value="IOT">British Indian Ocean Territory</option>
                                                        <option value="BRN">Brunei Darussalam</option>
                                                        <option value="BGR">Bulgaria</option>
                                                        <option value="BFA">Burkina Faso</option>
                                                        <option value="BDI">Burundi</option>
                                                        <option value="KHM">Cambodia</option>
                                                        <option value="CMR">Cameroon</option>
                                                        <option value="CAN">Canada</option>
                                                        <option value="CPV">Cape Verde</option>
                                                        <option value="CYM">Cayman Islands</option>
                                                        <option value="CAF">Central African Republic</option>
                                                        <option value="TCD">Chad</option>
                                                        <option value="CHL">Chile</option>
                                                        <option value="CHN">China</option>
                                                        <option value="CXR">Christmas Island</option>
                                                        <option value="CCK">Cocos (Keeling) Islands</option>
                                                        <option value="COL">Colombia</option>
                                                        <option value="COM">Comoros</option>
                                                        <option value="COG">Congo</option>
                                                        <option value="COD">Congo, Democratic Republic of the Congo</option>
                                                        <option value="COK">Cook Islands</option>
                                                        <option value="CRI">Costa Rica</option>
                                                        <option value="CIV">Cote D'Ivoire</option>
                                                        <option value="HRV">Croatia</option>
                                                        <option value="CUB">Cuba</option>
                                                        <option value="CUW">Curacao</option>
                                                        <option value="CYP">Cyprus</option>
                                                        <option value="CZE">Czech Republic</option>
                                                        <option value="DNK">Denmark</option>
                                                        <option value="DJI">Djibouti</option>
                                                        <option value="DMA">Dominica</option>
                                                        <option value="DOM">Dominican Republic</option>
                                                        <option value="ECU">Ecuador</option>
                                                        <option value="EGY">Egypt</option>
                                                        <option value="SLV">El Salvador</option>
                                                        <option value="GNQ">Equatorial Guinea</option>
                                                        <option value="ERI">Eritrea</option>
                                                        <option value="EST">Estonia</option>
                                                        <option value="ETH">Ethiopia</option>
                                                        <option value="FLK">Falkland Islands (Malvinas)</option>
                                                        <option value="FRO">Faroe Islands</option>
                                                        <option value="FJI">Fiji</option>
                                                        <option value="FIN">Finland</option>
                                                        <option value="FRA">France</option>
                                                        <option value="GUF">French Guiana</option>
                                                        <option value="PYF">French Polynesia</option>
                                                        <option value="ATF">French Southern Territories</option>
                                                        <option value="GAB">Gabon</option>
                                                        <option value="GMB">Gambia</option>
                                                        <option value="GEO">Georgia</option>
                                                        <option value="DEU">Germany</option>
                                                        <option value="GHA">Ghana</option>
                                                        <option value="GIB">Gibraltar</option>
                                                        <option value="GRC">Greece</option>
                                                        <option value="GRL">Greenland</option>
                                                        <option value="GRD">Grenada</option>
                                                        <option value="GLP">Guadeloupe</option>
                                                        <option value="GUM">Guam</option>
                                                        <option value="GTM">Guatemala</option>
                                                        <option value="GGY">Guernsey</option>
                                                        <option value="GIN">Guinea</option>
                                                        <option value="GNB">Guinea-Bissau</option>
                                                        <option value="GUY">Guyana</option>
                                                        <option value="HTI">Haiti</option>
                                                        <option value="HMD">Heard Island and Mcdonald Islands</option>
                                                        <option value="VAT">Holy See (Vatican City State)</option>
                                                        <option value="HND">Honduras</option>
                                                        <option value="HKG">Hong Kong</option>
                                                        <option value="HUN">Hungary</option>
                                                        <option value="ISL">Iceland</option>
                                                        <option value="IND">India</option>
                                                        <option value="IDN">Indonesia</option>
                                                        <option value="IRN">Iran, Islamic Republic of</option>
                                                        <option value="IRQ">Iraq</option>
                                                        <option value="IRL">Ireland</option>
                                                        <option value="IMN">Isle of Man</option>
                                                        <option value="ISR">Israel</option>
                                                        <option value="ITA">Italy</option>
                                                        <option value="JAM">Jamaica</option>
                                                        <option value="JPN">Japan</option>
                                                        <option value="JEY">Jersey</option>
                                                        <option value="JOR">Jordan</option>
                                                        <option value="KAZ">Kazakhstan</option>
                                                        <option value="KEN">Kenya</option>
                                                        <option value="KIR">Kiribati</option>
                                                        <option value="PRK">Korea, Democratic People's Republic of</option>
                                                        <option value="KOR">Korea, Republic of</option>
                                                        <option value="XKX">Kosovo</option>
                                                        <option value="KWT">Kuwait</option>
                                                        <option value="KGZ">Kyrgyzstan</option>
                                                        <option value="LAO">Lao People's Democratic Republic</option>
                                                        <option value="LVA">Latvia</option>
                                                        <option value="LBN">Lebanon</option>
                                                        <option value="LSO">Lesotho</option>
                                                        <option value="LBR">Liberia</option>
                                                        <option value="LBY">Libyan Arab Jamahiriya</option>
                                                        <option value="LIE">Liechtenstein</option>
                                                        <option value="LTU">Lithuania</option>
                                                        <option value="LUX">Luxembourg</option>
                                                        <option value="MAC">Macao</option>
                                                        <option value="MKD">Macedonia, the Former Yugoslav Republic of</option>
                                                        <option value="MDG">Madagascar</option>
                                                        <option value="MWI">Malawi</option>
                                                        <option value="MYS">Malaysia</option>
                                                        <option value="MDV">Maldives</option>
                                                        <option value="MLI">Mali</option>
                                                        <option value="MLT">Malta</option>
                                                        <option value="MHL">Marshall Islands</option>
                                                        <option value="MTQ">Martinique</option>
                                                        <option value="MRT">Mauritania</option>
                                                        <option value="MUS">Mauritius</option>
                                                        <option value="MYT">Mayotte</option>
                                                        <option value="MEX">Mexico</option>
                                                        <option value="FSM">Micronesia, Federated States of</option>
                                                        <option value="MDA">Moldova, Republic of</option>
                                                        <option value="MCO">Monaco</option>
                                                        <option value="MNG">Mongolia</option>
                                                        <option value="MNE">Montenegro</option>
                                                        <option value="MSR">Montserrat</option>
                                                        <option value="MAR">Morocco</option>
                                                        <option value="MOZ">Mozambique</option>
                                                        <option value="MMR">Myanmar</option>
                                                        <option value="NAM">Namibia</option>
                                                        <option value="NRU">Nauru</option>
                                                        <option value="NPL">Nepal</option>
                                                        <option value="NLD">Netherlands</option>
                                                        <option value="ANT">Netherlands Antilles</option>
                                                        <option value="NCL">New Caledonia</option>
                                                        <option value="NZL">New Zealand</option>
                                                        <option value="NIC">Nicaragua</option>
                                                        <option value="NER">Niger</option>
                                                        <option value="NGA">Nigeria</option>
                                                        <option value="NIU">Niue</option>
                                                        <option value="NFK">Norfolk Island</option>
                                                        <option value="MNP">Northern Mariana Islands</option>
                                                        <option value="NOR">Norway</option>
                                                        <option value="OMN">Oman</option>
                                                        <option value="PAK">Pakistan</option>
                                                        <option value="PLW">Palau</option>
                                                        <option value="PSE">Palestinian Territory, Occupied</option>
                                                        <option value="PAN">Panama</option>
                                                        <option value="PNG">Papua New Guinea</option>
                                                        <option value="PRY">Paraguay</option>
                                                        <option value="PER">Peru</option>
                                                        <option value="PHL">Philippines</option>
                                                        <option value="PCN">Pitcairn</option>
                                                        <option value="POL">Poland</option>
                                                        <option value="PRT">Portugal</option>
                                                        <option value="PRI">Puerto Rico</option>
                                                        <option value="QAT">Qatar</option>
                                                        <option value="REU">Reunion</option>
                                                        <option value="ROM">Romania</option>
                                                        <option value="RUS">Russian Federation</option>
                                                        <option value="RWA">Rwanda</option>
                                                        <option value="BLM">Saint Barthelemy</option>
                                                        <option value="SHN">Saint Helena</option>
                                                        <option value="KNA">Saint Kitts and Nevis</option>
                                                        <option value="LCA">Saint Lucia</option>
                                                        <option value="MAF">Saint Martin</option>
                                                        <option value="SPM">Saint Pierre and Miquelon</option>
                                                        <option value="VCT">Saint Vincent and the Grenadines</option>
                                                        <option value="WSM">Samoa</option>
                                                        <option value="SMR">San Marino</option>
                                                        <option value="STP">Sao Tome and Principe</option>
                                                        <option value="SAU">Saudi Arabia</option>
                                                        <option value="SEN">Senegal</option>
                                                        <option value="SRB">Serbia</option>
                                                        <option value="SCG">Serbia and Montenegro</option>
                                                        <option value="SYC">Seychelles</option>
                                                        <option value="SLE">Sierra Leone</option>
                                                        <option value="SGP">Singapore</option>
                                                        <option value="SXM">Sint Maarten</option>
                                                        <option value="SVK">Slovakia</option>
                                                        <option value="SVN">Slovenia</option>
                                                        <option value="SLB">Solomon Islands</option>
                                                        <option value="SOM">Somalia</option>
                                                        <option value="ZAF">South Africa</option>
                                                        <option value="SGS">South Georgia and the South Sandwich Islands</option>
                                                        <option value="SSD">South Sudan</option>
                                                        <option value="ESP">Spain</option>
                                                        <option value="LKA">Sri Lanka</option>
                                                        <option value="SDN">Sudan</option>
                                                        <option value="SUR">Suriname</option>
                                                        <option value="SJM">Svalbard and Jan Mayen</option>
                                                        <option value="SWZ">Swaziland</option>
                                                        <option value="SWE">Sweden</option>
                                                        <option value="CHE">Switzerland</option>
                                                        <option value="SYR">Syrian Arab Republic</option>
                                                        <option value="TWN">Taiwan, Province of China</option>
                                                        <option value="TJK">Tajikistan</option>
                                                        <option value="TZA">Tanzania, United Republic of</option>
                                                        <option value="THA">Thailand</option>
                                                        <option value="TLS">Timor-Leste</option>
                                                        <option value="TGO">Togo</option>
                                                        <option value="TKL">Tokelau</option>
                                                        <option value="TON">Tonga</option>
                                                        <option value="TTO">Trinidad and Tobago</option>
                                                        <option value="TUN">Tunisia</option>
                                                        <option value="TUR">Turkey</option>
                                                        <option value="TKM">Turkmenistan</option>
                                                        <option value="TCA">Turks and Caicos Islands</option>
                                                        <option value="TUV">Tuvalu</option>
                                                        <option value="UGA">Uganda</option>
                                                        <option value="UKR">Ukraine</option>
                                                        <option value="ARE">United Arab Emirates</option>
                                                        <option value="GBR">United Kingdom</option>
                                                        <option value="USA">United States</option>
                                                        <option value="UMI">United States Minor Outlying Islands</option>
                                                        <option value="URY">Uruguay</option>
                                                        <option value="UZB">Uzbekistan</option>
                                                        <option value="VUT">Vanuatu</option>
                                                        <option value="VEN">Venezuela</option>
                                                        <option value="VNM">Viet Nam</option>
                                                        <option value="VGB">Virgin Islands, British</option>
                                                        <option value="VIR">Virgin Islands, U.s.</option>
                                                        <option value="WLF">Wallis and Futuna</option>
                                                        <option value="ESH">Western Sahara</option>
                                                        <option value="YEM">Yemen</option>
                                                        <option value="ZMB">Zambia</option>
                                                        <option value="ZWE">Zimbabwe</option>
                                                    </select>
                                                    <span class="input-group-text">Identification Type</span>
                                                    <select id="recipEdit_identity" class="form-select" autocomplete="on">
                                                        <option value="null" selected disabled>Choose...</option>
                                                    </select>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="row g-2 mt-2">
                                            <div class="col-4">
                                                <label class="form-label">ID Number</label>
                                                <input id="recipEdit_identity_num" type="text" class="form-control" value="" placeholder="ABCDEF123456">
                                            </div>
                                            <div class="col-4">
                                                <label class="form-label">Expiry/Issue Date</label>
                                                <input id="recipEdit_identity_date" type="date" class="form-control" value="" placeholder="As Applicable">
                                                <span class="form-text">Expiry date supercedes issued date</span>
                                            </div>
                                            
                                        </div>
                                    </div>
                                </div>
                            </div>

                        </div>
                    </div>
                    <div class="modal-footer">
                        <button class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                        <button id="recipEditModalBtnSave" class="btn btn-primary" data-bs-dismiss="modal">Save Changes</button>
                    </div>
                </div>
            </div>
        </div>

        <div class="modal fade" id="recipAddModal" tabindex="-1" aria-labelledby="recipAddLabel" aria-hidden="true" data-bs-backdrop="static" data-bs-keyboard="false">
            <div class="modal-dialog modal-lg">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="recipAddLabel">New Recipient</h5>
                    </div>
                    <div class="modal-body">
                        <div class="container">
                            <div class="row">
                                <div class="col">
                                    <div action="">
                                        <div class="row g-2 mt-2">
                                            <div class="col-4">
                                                <label class="form-label">Depositing Account</label>
                                                <input id="recipAdd_account" type="text" class="form-control" value="" placeholder="320021 12345678901" required>
                                            </div>
                                            <div class="col-4">
                                                <label class="form-label">Account Currency</label>
                                                <select type="text" class="form-select" id="recipAdd_currency" autocomplete="on" disabled>
                                                    <option value="null" selected disabled>Choose...</option>
                                                </select>
                                            </div>
                                            <div class="col-4">
                                                <label class="form-label">Email Address</label>
                                                <input id="recipAdd_email" type="text" class="form-control" value="" placeholder="example@tradespace.com" required>
                                            </div>
                                            <p class="form-text">Other information is automatically populated. You may edit these details afterwards.</p>
                                        </div>
                                    </div>
                                </div>
                            </div>

                        </div>
                    </div>
                    <div class="modal-footer">
                        <button class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                        <button id="recipAddModalBtnSave" class="btn btn-primary" data-bs-dismiss="modal">Save Changes</button>
                    </div>
                </div>
            </div>
        </div>

        <div class="modal fade" id="notifyModal" tabindex="-1" aria-labelledby="notifyModalLabel" aria-hidden="true">
            <div class="modal-dialog modal-dialog-centered">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="notifyModalLabel"></h5>
                    </div>
                    <div class="modal-body">
                        <div class="container">
                            <div class="row">
                                <div class="col d-flex justify-content-center">
                                    <div id="notifyModalSpinner" class="spinner-border text-secondary my-5 text-center d-none" role="status" style="width: 3rem; height: 3rem;"></div>
                                    <i id="notifyModalError" class="fa-solid fa-triangle-exclamation text-danger my-5 text-center d-none" style="font-size: 3rem"></i>
                                    <i id="notifyModalSuccess" class="fa-solid fa-circle-check text-success my-5 text-center d-none" style="font-size: 3rem"></i>
                                </div>
                            </div>
                            <div id="recipSuccessInfo" class="row d-flex justify-content-center d-none">
                                <div class="col text-center">
                                    <p>An email will be sent to <span id="recipSuccessEmail" class="fw-bold"></span> for them to accept the transfer.</p>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>


        <!-- Bootstrap core JS-->
        <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js"></script>
        <!-- Core theme JS-->
        <script src="/js/sidebar.js"></script>
        <script src="/js/transfer.js"></script>
    </body>
</html>
